Kenta Sato

NAME

Plack::Middleware::HTMLLint::Pluggable - check syntax with HTML::Lint::Pluggable for PSGI application's response HTML

VERSION

This document describes Plack::Middleware::HTMLLint::Pluggable version 0.03.

SYNOPSIS

    use Plack::Builder;

    builder {
        enable_if { $ENV{PLACK_ENV} eq 'development' } 'HTMLLint::Pluggable', plugins => +{
            html5 => [qw/HTML5/],
        };
        sub {
            my $env = shift;
            # ...
            return [
                200,
                ['Content-Type' => 'text/plain'],
                ['<!DOCTYPE html><html><head>...']
            ];
        };
    };

DESCRIPTION

This module check syntax with HTML::Lint::Pluggable for PSGI application's response HTML. to assist you to discover the HTML syntax errors during the development of Web applications.

You can control the plug-in to load, depending on the type of response. (like as SYNOPSYS)

DEPENDENCIES

Perl 5.8.1 or later.

BUGS

All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

SEE ALSO

Plack::Middleware Plack::Middleware::HTMLLint HTML::Lint HTML::Lint::Pluggable

AUTHOR

Kenta Sato <karupa@cpan.org>

LICENSE AND COPYRIGHT

Copyright (c) 2012, Kenta Sato. All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.